Skip to main content
`Ctrl`+`K`

# PetscSortIntWithArrayPair

Sorts an array of `PetscInt` in place in increasing order; changes a pair of `PetscInt` arrays to match the sorted first array.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscSortIntWithArrayPair(PetscCount n, PetscInt X[], PetscInt Y[], PetscInt Z[])

Not Collective

## Input Parameters

- n - number of values

- X - array of `PestcInt`

- Y - second array of `PestcInt` (first array of the pair)

- Z - third array of `PestcInt` (second array of the pair)

## See Also

`PetscSortReal()`, `PetscSortIntWithPermutation()`, `PetscSortIntWithArray()`, `PetscIntSortSemiOrdered()`, `PetscSortIntWithIntCountArrayPair()`

## Level

intermediate

## Location

src/sys/utils/sorti.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages